Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP
Newer
Older
100644 52 lines (45 sloc) 1.24 kb
cf4bf69 @sferik Use HTTPS rubygems source
authored
1 source 'https://rubygems.org'
3d1664a @sferik first commit
authored
2
531756f @mshibuya Making ORM switchable, and test passes for ActiveRecord
mshibuya authored
3 group :active_record do
ebbe21c @sferik Remove dynamic code from gemspec because it can only be built one way
authored
4 platforms :jruby do
beece9e @sferik Specify all development dependencies in Gemfile
authored
5 gem 'activerecord-jdbcsqlite3-adapter', '~> 1.2'
6 gem 'jdbc-sqlite3', '~> 3.6'
ebbe21c @sferik Remove dynamic code from gemspec because it can only be built one way
authored
7 end
8
9 platforms :ruby, :mswin, :mingw do
ba4928c @kaapa Add CI's dependencies to engine's Gemfile
kaapa authored
10 case ENV['CI_DB_ADAPTER']
11 when 'mysql'
12 gem 'mysql', '~> 2.8'
13 when 'postgresql'
1164e4f @bbenezech silence postgres by removing silent-postgres.
bbenezech authored
14 gem 'pg', '~> 0.13'
ba4928c @kaapa Add CI's dependencies to engine's Gemfile
kaapa authored
15 else
8ad0c79 @sferik Update sqlite3 dependency to 1.3.3
authored
16 gem 'sqlite3', '~> 1.3'
ba4928c @kaapa Add CI's dependencies to engine's Gemfile
kaapa authored
17 end
de95b51 @sferik Move JRuby dependencies into Gemfile in order to specify platform
authored
18 end
531756f @mshibuya Making ORM switchable, and test passes for ActiveRecord
mshibuya authored
19 end
ebbe21c @sferik Remove dynamic code from gemspec because it can only be built one way
authored
20
531756f @mshibuya Making ORM switchable, and test passes for ActiveRecord
mshibuya authored
21 group :mongoid do
8bf35bb @bbenezech removing CI support for Ruby 1.8 (about time)
bbenezech authored
22 gem 'mongoid', '~> 3.0'
70a2333 @sferik The mongoid-paperclip `branch` has been merged into master and released
authored
23 gem 'mongoid-paperclip', '~> 0.0.8', :require => 'mongoid_paperclip'
8bf35bb @bbenezech removing CI support for Ruby 1.8 (about time)
bbenezech authored
24 gem 'carrierwave-mongoid', :require => 'carrierwave/mongoid', :git => 'git://github.com/jnicklas/carrierwave-mongoid.git', :branch => 'mongoid-3.0'
531756f @mshibuya Making ORM switchable, and test passes for ActiveRecord
mshibuya authored
25 end
26
b498f72 @sferik Rename debug group
authored
27 group :debug do
22f95d3 @crosebrugh fixed Gemfile debugger gem
crosebrugh authored
28 platform :mri_19 do
beece9e @sferik Specify all development dependencies in Gemfile
authored
29 gem 'debugger', '~> 1.2'
30 gem 'simplecov', '~> 0.6', :require => false
22f95d3 @crosebrugh fixed Gemfile debugger gem
crosebrugh authored
31 end
440213a @sferik Remove fastercsv from gemspec, since it won't install on the Heroku ceda...
authored
32 end
33
1a3969b @sferik Add back development/test group
authored
34 group :development, :test do
31394fe @sferik Use strong_parameters from gem
authored
35 gem 'strong_parameters', '~> 0.1.5'
beece9e @sferik Specify all development dependencies in Gemfile
authored
36 gem 'cancan', '~> 1.6'
37 gem 'capybara', '~> 1.1'
38 gem 'carrierwave', '~> 0.6'
39 gem 'database_cleaner', '~> 0.8'
40 gem 'devise', '~> 2.1'
41 gem 'dragonfly', '~> 0.9'
42 gem 'factory_girl', '~> 4.1'
43 gem 'generator_spec', '~> 0.8'
44 gem 'launchy', '~> 2.1'
45 gem 'mini_magick', '~> 3.4'
46 gem 'paperclip', '~> 3.3'
47 gem 'rspec-rails', '~> 2.11'
48 gem 'timecop', '~> 0.5'
1a3969b @sferik Add back development/test group
authored
49 end
50
ebbe21c @sferik Remove dynamic code from gemspec because it can only be built one way
authored
51 gemspec
Something went wrong with that request. Please try again.